commit:     a5d8df8e8ee30e9cb73cb1cb893a787b78b9956d
Author:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  6 03:16:52 2019 +0000
Commit:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Tue Aug  6 03:18:09 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5d8df8e

dev-lang/moarvm: Bump to version 2019.07.1

- migrate to EAPI7
- Removes unused "jit" USE
- USE="optimize" should work again
- Configure patch seemingly no longer needed

Upstream:
- Fix various race conditions by bumping level after instrumentation
  instead of before
- Avoid various races in profile/coverage/debug
- Fix possible memory corruption in bindkey_*
- Fix pointer arithmetic in inlined CArrays in CStruct/CPPStruct REPRs
- Unbreak instrumentation in debug server
- Init debug socket for windows debug server
- Fix GC rooting in MVM_platform_uname
- Don't return null from filename() in profiler
- Add band_i, bor_i, bxor_i ops to profiler
- Fix dealloc profile logging in profiler by following any forwarder
- Put limits on local and inline counts for inlining (Spesh)
- Only use -fno-ret-protector with Clang on OpenBSD if Jit is enabled
- Fix Configure.pl failing when --prefix is "/usr"
- https://github.com/MoarVM/MoarVM/compare/2019.07...2019.07.1

Package-Manager: Portage-2.3.66, Repoman-2.3.16
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>

 dev-lang/moarvm/Manifest                |  1 +
 dev-lang/moarvm/moarvm-2019.07.1.ebuild | 67 +++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-lang/moarvm/Manifest b/dev-lang/moarvm/Manifest
index 9da7acfd83e..74cc82541cd 100644
--- a/dev-lang/moarvm/Manifest
+++ b/dev-lang/moarvm/Manifest
@@ -3,4 +3,5 @@ DIST MoarVM-2018.08.tar.gz 5047553 BLAKE2B 
bcb3350e4a063958eee508885784f3f8eda20
 DIST MoarVM-2018.09.tar.gz 5070458 BLAKE2B 
6c391907eb7bcda7eb6629d9f1aea16414fa9ee62d97ec3c72cea6c9b8f6323ef2869e560d8574d30b339889aff92ad73cfd174f9b23f4a98ef359873e053a94
 SHA512 
14d5ca1f6a8c77ee89fd05d66057b640b1e222391fded17631a4e11801de25e1fb3eb6b8b4dd977990e64952f7067482bf405a9ef5ebb6fdacdfa7c11bee21b1
 DIST MoarVM-2018.12.tar.gz 5238765 BLAKE2B 
ac0a7ba8107bcf79cfa58011c0968b5c960d9b2f2e59754b25a2f29e66f86e1d2524e16bce84323f2426f264476a4f3d307761c340ca6f09d3983eacde336704
 SHA512 
b55efc942a581e1d14a571b44a58a76e18f01ca1fabb4c68476003bb42fd4f3663fd532e75814cad6f7b1e1cf5562fe6b1aa68b956c1d8e6769e9dc1bce2b0a7
 DIST MoarVM-2019.03.tar.gz 5136086 BLAKE2B 
695e5528934002b17f547a281482dc0015b3901b2c9626ce6fcf8aaa2df07c293f501871311ee3be47d009b972ca22a268bb34c859fde6a13566e8d03d1d3f04
 SHA512 
aa50dcf1499e83247c4c490384f80896160d08fb72a5a6da1f91748c6dc343fa30dcf35adca3e9e8329a2919026a4bdb299129865abf611ce49d73d05cce4285
+DIST MoarVM-2019.07.1.tar.gz 5189731 BLAKE2B 
3dde716f6911fb8392346b34763439c37866da34361875e7bf1d9d15a4e2b1d9c1dbb668c42611172dcfd6c9060f9c95ec4bac0e5ac614af3038cc4752d9b6d9
 SHA512 
c8ffaf962191a60f643e6e1b765ec700664988ffc629765c273baf32d2748763480f9fd7a2d978b7f99d3ba4bf962775f4dca40053ace2ddd8cd0bffbd977d84
 DIST MoarVM-2019.07.tar.gz 5187102 BLAKE2B 
a9c56453edf5b5834d33187aea6eabacac9a721e7a27471a02b82585560ffbb5bb8807ae8c738f3138c5b0453217ad101aab23bef2c8b727cd2f8a56574abfd5
 SHA512 
ff5370cb2c7dc4357825f02387757e36a5e03b711021c896043ba5f68e573308146a0d94c7855ec9b4860906a3b0720d316d119ca5bbda908f17d3f4f14f4999

diff --git a/dev-lang/moarvm/moarvm-2019.07.1.ebuild 
b/dev-lang/moarvm/moarvm-2019.07.1.ebuild
new file mode 100644
index 00000000000..575bf022807
--- /dev/null
+++ b/dev-lang/moarvm/moarvm-2019.07.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+MY_PN="MoarVM"
+if [[ ${PV} == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/${MY_PN}/${MY_PN}.git";
+       EGIT_SUBMODULES=( '*' '-3rdparty/libatomicops' '-3rdparty/libuv' )
+       inherit git-r3
+       KEYWORDS=""
+       S="${WORKDIR}/${P}"
+else
+       SRC_URI="http://moarvm.org/releases/${MY_PN}-${PV}.tar.gz";
+       KEYWORDS="~amd64 ~x86"
+       S="${WORKDIR}/${MY_PN}-${PV}"
+fi
+
+DESCRIPTION="A 6model-based VM for NQP and Rakudo Perl 6"
+HOMEPAGE="http://moarvm.org";
+LICENSE="Artistic-2"
+SLOT="0"
+IUSE="asan clang debug doc static-libs optimize ubsan"
+
+RDEPEND="dev-libs/libatomic_ops
+               >=dev-libs/libuv-1.26
+               dev-lang/lua:=
+               virtual/libffi"
+DEPEND="${RDEPEND}"
+BDEPEND="${RDEPEND}
+       clang? ( >=sys-devel/clang-3.1 )
+       dev-lang/perl"
+
+DOCS=( CREDITS README.markdown )
+
+# Tests are conducted via nqp
+RESTRICT=test
+
+src_prepare() {
+       if [[ "${PV}" == "9999" ]]; then
+               # Stupid upstream try to auto-fetch this themselves
+               git rm -f 3rdparty/{libatomicops,libuv} ||
+                       die "Can't strip unused submodules"
+       fi
+       default
+}
+
+src_configure() {
+       use doc && DOCS+=( docs/* )
+       local myconfigargs=(
+               "--prefix" "/usr"
+               "--has-libuv"
+               "--has-libatomic_ops"
+               "--has-libffi"
+               "--libdir" "$(get_libdir)"
+               "--compiler" "$(usex clang clang gcc)"
+               "$(usex asan        --asan)"
+               "$(usex debug       --debug            --no-debug)"
+               "$(usex optimize    --optimize=        --no-optimize)"
+               "$(usex static-libs --static)"
+               "$(usex ubsan       --ubsan)"
+       )
+
+       perl Configure.pl "${myconfigargs[@]}" moarshared || die
+}

Reply via email to